Name:           schroedinger-cat-backgrounds
Version:        18.91.0
Release:        3%{?dist}
Summary:        Schrödinger's Cat desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/F19_Artwork
Source0:        https://fedorahosted.org/released/design-team/%{name}-%{version}.tar.xz

BuildArch:      noarch

# for %%_kde4_* macros
BuildRequires:  kde-filesystem
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}
Requires:       %{name}-xfce = %{version}-%{release}
Requires:       %{name}-mate = %{version}-%{release}


%description
This package contains desktop backgrounds for the Schrödinger's Cat theme.
Pulls in themes for GNOME, KDE, Mate and Xfce desktops.

%package        base
Summary:        Base images for Schrödinger's Cat Backgrounds
Group:          Applications/Multimedia
License:        CC-BY-SA

%description    base
This package contains base images for Schrödinger's Cat Backgrounds.

%package        animated
Summary:        Time of day images for Schrödinger's Cat Backgrounds
Group:          Applications/Multimedia

Requires:       %{name}-base = %{version}-%{release}

%description    animated
This package contains the time of day images for Schrödinger's Cat
Backgrounds.

%package        kde
Summary:        Schrödinger's Cat Wallpapers for KDE
Group:          Applications/Multimedia

Requires:       %{name}-base = %{version}-%{release}
Requires:       kde-filesystem

%description    kde
This package contains KDE desktop wallpapers for the Schrödinger's Cat
theme.

%package        gnome
Summary:        Schrödinger's Cat Wallpapers for Gnome and Cinnamon
Group:          Applications/Multimedia

Requires:       %{name}-animated = %{version}-%{release}

%description    gnome
This package contains Gnome/Cinnamon desktop wallpapers for the
Schrödinger's Cat theme.

%package        mate
Summary:        Schrödinger's Cat Wallpapers for Mate
Group:          Applications/Multimedia

Requires:       %{name}-animated = %{version}-%{release}

%description    mate
This package contains Mate desktop wallpapers for the Schrödinger's Cat
theme.

%package        xfce
Summary:        Schrödinger's Cat Wallpapers for XFCE4
Group:          Applications/Multimedia

Requires:       %{name}-base = %{version}-%{release}
Requires:       xfdesktop

%description    xfce
This package contains XFCE4 desktop wallpapers for the Schrödinger's Cat
theme.

%package        extras-base
Summary:        Base images for Schrödinger's Cat Extras Backrounds
Group:          Applications/Multimedia
License:        CC-BY and CC-BY-SA

%description    extras-base
This package contains base images for Schrödinger's Cat supplemental
wallpapers.

%package        extras-gnome
Summary:        Extra Schrödinger's Cat Wallpapers for Gnome and Cinnamon
Group:          Applications/Multimedia

Requires:       %{name}-extras-base

%description    extras-gnome
This package contains Schrödinger's Cat supplemental wallpapers for Gnome
and Cinnamon

%package        extras-mate
Summary:        Extra Schrödinger's Cat Wallpapers for Mate
Group:          Applications/Multimedia

Requires:       %{name}-extras-base

%description    extras-mate
This package contains Schrödinger's Cat supplemental wallpapers for Mate

%package        extras-kde
Summary:        Extra Schrödinger's Cat Wallpapers for KDE
Group:          Applications/Multimedia

Requires:       %{name}-extras-base

%description    extras-kde
This package contains Schrödinger's Cat supplemental wallpapers for Gnome

%package        extras-xfce
Summary:        Extra Schrödinger's Cat Wallpapers for XFCE
Group:          Applications/Multimedia

Requires:       %{name}-extras-base

%description    extras-xfce
This package contains Schrödinger's Cat supplemental wallpapers for XFCE


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc

%files base
%doc CC-BY-SA-3.0 Attribution
%dir %{_datadir}/backgrounds/schroedinger-cat
%dir %{_datadir}/backgrounds/schroedinger-cat/default
%{_datadir}/backgrounds/schroedinger-cat/default/normalish
%{_datadir}/backgrounds/schroedinger-cat/default/standard
%{_datadir}/backgrounds/schroedinger-cat/default/wide
%{_datadir}/backgrounds/schroedinger-cat/default/schroedinger-cat.xml

%files animated
%dir %{_datadir}/backgrounds/schroedinger-cat/default-animated
%{_datadir}/backgrounds/schroedinger-cat/default-animated/normalish
%{_datadir}/backgrounds/schroedinger-cat/default-animated/standard
%{_datadir}/backgrounds/schroedinger-cat/default-animated/wide
%{_datadir}/backgrounds/schroedinger-cat/default-animated/schroedinger-cat.xml

%files kde
%{_kde4_datadir}/wallpapers/Schroedinger_Cat/

%files gnome
%{_datadir}/gnome-background-properties/schroedinger-cat-animated.xml

%files mate
%{_datadir}/mate-background-properties/schroedinger-cat-animated.xml

%files xfce
%{_datadir}/xfce4/backdrops/schroedinger-cat.jpg

%files extras-base
%doc CC-BY-SA-3.0 CC-BY-3.0 Attribution-Extras
%{_datadir}/backgrounds/schroedinger-cat/extras/*.jpg
%{_datadir}/backgrounds/schroedinger-cat/extras/*.png
%{_datadir}/backgrounds/schroedinger-cat/extras/schroedinger-cat-extras.xml

%files extras-gnome
%{_datadir}/gnome-background-properties/schroedinger-cat-extras.xml

%files extras-kde
%{_kde4_datadir}/wallpapers/Schroedinger_Cat_*/

%files extras-mate
%{_datadir}/mate-background-properties/schroedinger-cat-extras.xml

%files extras-xfce
%{_datadir}/xfce4/backdrops/*.jpg
%{_datadir}/xfce4/backdrops/*.png

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18.91.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18.91.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Martin Sourada <mso@fedoraproject.org> - 18.91.0-1
- New release. 
  - Adds supplemental wallpapers.
  - Switches non-animated default from night to dawn (rhbz 962952)

* Sun Mar 03 2013 Martin Sourada <mso@fedoraproject.org> - 18.90.0-1
- Initial rpm release
